当前位置:主页 > 365bet赔率技巧 > 正文
  • 使用circle方法标记指定Id的实体
  • 日期:2019-05-01   点击:   作者:365bet足球信誉开户   来源:365bet娱乐网
使用circle方法标记指定Id的实体
// entId是指定实体的id
voidSignEnt(AcDbObjectIdentId){* AcDbEntity压抑= NULL; AcDbBlockReference * PREF; //打开相应的实体ACAD:ErrorStatuses = acdbOpenObject(PENT,entId,ZcDb:kForRead,假);是(ACAD:EOK!
= es){acutPrintf(_T(“
打开与失败标识对应的实体!
是(戊isKindOf(AcDbBlockReference:降序())){//在块PREF = AcDbBlockReference实体引用:褪色(PENT);
//获取AcDbExtentsexts块参考帧。pRef-getGeomExtents(exts);
AcGePoint3dptMin = exts
minPoint(); //帧的最小点是AcGePoint3dptMax = exts。
maxPoint(); //外框的最大点
//找到块的中心采集点,其功能MidPoint Preparation,以及两点之间的中心点。AcGePoint3dptCenter =中点(ptMin,ptMax); pRef-close();
//获得两个连接长度的一半,即他们准备的HalfLength函数。也就是说,两个连接请求doubleradius half length = HalfLength(ptMin,ptMax);
//在插入点周围画一个圆圈,并标记重复数AcGeVector3dvec(0,0,1)。
//创建物理圈AcDbCircle * pCircle = newAcDbCircle(ptCenter,vec,radius);
//在模型空间中添加一个圆圈。PostToModelSpace函数是为自己编写的。该函数是将实体PostToModelSpace(pCircle)添加到模型空间。